SalesOS.

Unified Communications

Aggregated communication timeline

Get unified communication threads across all channels

GET
/v1/unified-comms/threads

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

limitRequiredstring
offsetRequiredstring
typeRequiredstring
curl -X GET "https://api.salesos.org/v1/unified-comms/threads?limit=%3Cstring%3E&offset=%3Cstring%3E&type=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Unified thread list

Get unified threads for a specific entity

GET
/v1/unified-comms/threads/{entityType}/{entityId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

entityTypeRequiredstring
entityIdRequiredstring
curl -X GET "https://api.salesos.org/v1/unified-comms/threads/<string>/<string>" \
  -H "Authorization: Bearer <token>"

Entity communication timeline

Get communication summary across all channels

GET
/v1/unified-comms/summary

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/unified-comms/summary" \
  -H "Authorization: Bearer <token>"

Communication summary statistics

Mark a thread as read

POST
/v1/unified-comms/threads/{id}/read

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/unified-comms/threads/<string>/read" \
  -H "Authorization: Bearer <token>"

Thread marked as read

Search across all communication channels (GET)

GET
/v1/unified-comms/search

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

qRequiredstring
curl -X GET "https://api.salesos.org/v1/unified-comms/search?q=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Search results

Search across all communication channels

POST
/v1/unified-comms/search

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/unified-comms/search" \
  -H "Authorization: Bearer <token>"

Search results

Get entity communication timeline

GET
/v1/unified-comms/timeline/{entityType}/{entityId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

entityTypeRequiredstring
entityIdRequiredstring
curl -X GET "https://api.salesos.org/v1/unified-comms/timeline/<string>/<string>" \
  -H "Authorization: Bearer <token>"

Entity timeline

Generate AI summary for a thread

POST
/v1/unified-comms/threads/{id}/summarize

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/unified-comms/threads/<string>/summarize" \
  -H "Authorization: Bearer <token>"

Thread summary